# Just Add Power - Firmware Release Notes

## justOS version **B1.0.0**

### Release Date: 2018-07-20

### Compatibility

* B1.0.0 is ***incompatible*** with all previous versions of Just Add Power firmware
* B1.0.0 does ***not*** support backward compatibility with 2G devices
* B1.0.0 does ***not*** support operation in "2G Mode"

### Major Changes

* Added CEC Support to *ALL* 2GΩ/3G and 3G hardware models
* Complete redesign of Web UI
  * Modernised browser compatibility (with mobile support)
  * Simpler navigation
  * Easy access to relevant data
* Enhanced support for Multicast Switching
  * Custom IGMPv2 address ranges
  * Support for up to 10000 unique multicast channels
* Introduction of Just Add Power REST API (***justAPI***)
  * Full control of all aspects of every Just Add Power devices using a powerful HTTP API
* Serial Communication Modes Updated
  1. `"passive"` (previously "Type 1 - Dumb Redirect")
  2. `"direct"` (previouslty "Type 2 - Guest Mode")
  3. `"api"` (previously "Type 3 - CLI Access")

### Minor Enhancements

* Improved clarity and usefullness of diagnostic messages when a video signal is not present from a Receiver
* Improved EDID capture process from Receiver
* Improved performance of sending commands to all Receivers using `commandallrx.sh`
* Improved On Screen Display identification of Receviers
* Improved response time of `getmodel.sh`
* Updated SwitchPlease to support SG350/SG550 switches

### New Features

* Added support for Flux Capacitor V2 integration
* Added support for setting a timeserver address to set the device time on boot
* Added `telcom` command allowing scripted telnet commands to remote devices

### Bug Fixes

* [none]

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][shell] End-of-line character fault causing some shell scripts not to execute
  * Known affected scripts: `cec_tv_on.sh`, `cec_tv_off.sh`
* [function][webui] SwitchPlease is broken when ImagePull is enabled on boot
* [function][webui] Command Line API parsing issues when reserved JSON characters are in the console output
* [function][api] `/command/cli` output may contain special characters that break JSON parsing
* [function][api] JSON Parsing issues with {"error":"messages"}
* [cosmetic][webui] Serial Type does now displays correct Flux mode
* [cosmetic][webui] Scaler settings not updating after apply