# Just Add Power - Firmware Release Notes

## justOS version **B1.0.1**

### Release Date: 2018-07-31

### Special Notes

Download includes:

* `/` - Complete Firmware Images
  * including all cumulitive patches to B1.0.x (for full updates from ***ANY*** previous firmware version)
* `/patchfiles` - Firmware Patch Images
  * can be applied to any system *already running* **justOS B1.0.x**

### Minor Enhancements

* Added new justAPI endpoint `/details/channel` for Multicast Switching implementations

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][webui][B1.0.0] Fixed SwitchPlease. Was broken when ImagePull enabled on boot
* [function][webui][B1.0.0] Fixed Transmitter Video Wall `[Apply]` buttons not appearing to apply settings to other devices
* [function][webui][B1.0.0] Fixed Video Wall 'Rotate' command
* [function][webui][B1.0.0] Fixed Video Wall 'Apply To: All Devices' to now apply to all visible Receivers
* [function][api][B1.0.0] Fixed JSON Parsing issues with {"error":"messages"}
* [function][api][B1.0.0] Fixed incorrect `GET` response value from `/settings/device/network/multicast` on Receivers
* [function][shell][B1.0.0] End-of-line character fault caused some shell scripts not to execute
  * Known affected scripts: `cec_tv_on.sh`, `cec_tv_off.sh`
* [cosmetic][webui][B1.0.0] Scaler settings not refreshing after `[Apply]`
* [cosmetic][webui][B1.0.0] Minor text fixes and cosmetic enchancements

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][webui][B1.0.0] Command Line API parsing issues when reserved JSON characters are in the console output
* [function][api][B1.0.0] `/command/cli` output may contain special characters that break JSON parsing
* [cosmetic][webui][B1.0.0] Serial Type does not display correct Flux mode