# Just Add Power - Firmware Release Notes

## justOS version **B1.2.0**

### Release Date: 2018-10-01

### Special Notes

Download includes:

* `/` - Complete Firmware Images
  * Full update required for devices running **justOS B1.1.x** or earlier
* `/releasenotes`
  * Changes for all previous justOS version
  * justAPI YAML

***IMPORTANT:***

* Once the **justOS B1.2.0** update is applied, older versions of JADConfig [v3.6.2.0 and lower] will be *unable to detect the devices on the network*.
  * The user will need to upgrade to the latest version of JADConfig for future system updates or configuration changes

### Major Changes

* This firmware changes the mDNS (Bonjour) naming scheme
  * Transmitters will appear as `JustAddPower-TX123ABC`
  * Receivers will appear as `JustAddPower-RX456DEF`

### Minor Enhancements

* Added support for Multicast Switching setup and control from the web interface
* Added addional mDNS service announcement `_justapi._tcp` which includes a txt-record containing
  * path, version, model, mac, id, name, channel
  * Allows for enchanced device discovery by capable Zeroconf systems
* Added additional URI endpoints for justAPI
* Reordered URI paths in justapi.oas2.yaml for easier browsability in some YAML formatters
* Added ability to customize the Power and Data LED default blick behavior
  * Always Off: Disables both the power and data LED at all times
  * Only On Video: Enables both the power and data LEDS *only* when a video signal is present, and disables them at all other times

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][ppp][B1.1.0] Plug-Play-Present functionality restored
* [function][webui][B1.0.0] Command Line API parsing issues when reserved JSON characters are in the console output
* [function][webui][B1.0.0] Capture EDID was not working
* [function][webui][B1.0.0] Cleaned up functionality of Audio Settings and Statistics
* [function][api][B1.0.0] `/command/cli` output may contain special characters that break JSON parsing
* [cosmetic][webui][B1.0.0] Serial Type does not display correct Flux mode
* [cosmetic][webui][B1.0.0] Repeated scaler settings

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][webui][B1.2.0] HDR settings does not apply or show correctly on the Receiver
  * Wordaround via **Console API**: `hdr.sh off` or `hdr.sh on` respectively