# Just Add Power - Firmware Release Notes

## justOS version **B1.2.1**

### Release Date: 2018-10-16

### Special Notes

***IMPORTANT:***

* Once the **justOS B1.2.x** update is applied, older versions of JADConfig [v3.6.2.0 and lower] will be *unable to detect the devices on the network*.
  * **JADConfig [v4.7.4 or later]** will be required for future system updates or configuration changes

Download includes:

* `/` - Complete Firmware Images
  * Full update required for devices running **justOS B1.1.x** or earlier
* `/patchfiles` - Firmware Patch Images
  * can be applied to any system *already running* **justOS B1.2.x**
* `/releasenotes`
  * Changes for all previous justOS version
  * justAPI YAML

### Minor Enhancements

* Added Custom Scaler Option field to Receiver Web UI
* Added Custom EDID Option field to Transmitter Web UI
* Added a small library of enhanced EDID settings allowing combinations of
  * Video Options:
    * 4k60 (no HDR)
    * 4k30 (HDR)
    * 4k24 (HDR)
    * 1080p (HDR)
  * Audio Options:
    * 2CH LPCM Only
    * AVP Specific (only DD5.1 and 2CH LPCM)
    * 5.1 Dolby Digital, 5.1 DTS, 5.1 LPCM
    * Dolby Atmos, 7.1 DD+, 7.1 DTS-HD, 7.1 DD, 7.1 DTS, 5.1 LPCM
* Factory Default from the Web UI now presents a warning and optional 'Cancel' before executing

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][webui][B1.2.0] HDR setting now applies correctly and is hidden when the setting is invalid (with scaler enabled)
* [function][cec][B1.0.0] Resolved known instability issues with CEC after device reboot
* [function][api][B1.0.0] `POST /command/device` "reboot" will now successfully return an HTTP response rather than timing out
* [function][edid][B1.0.0] Custom and Captured EDIDs are no longer patched by default

### Known Issues

Key: [impact level][feature affected][discovered version] Description