# Just Add Power - Firmware Release Notes

## justOS version **B1.3.0**

### Release Date: 2019-02-15

### Special Notes

***IMPORTANT:***

* Once the **justOS B1.3.0** update is applied, older versions of JADConfig [v3.6.2.0 and lower] will be *unable to detect the devices on the network*.
  * **JADConfig [v5.0.0 or later]** will be required for future system updates or configuration changes

Download includes:

* `/` - Complete Firmware Images
  * Full update required for devices running **justOS B1.2.x** or earlier
* `/releasenotes`
  * Changes for all previous justOS version
  * `/api`
    * Notes for the latest URI endpoints in justOS B1.3.0
    * The justAPI is evoloutionary, meaning that old URIs are not removed or deprecated, and new URIs are added with updates. This ensures development efforts are not lost on earlier versions.


### Minor Enhancements

* Added Custom "username/password" options for SwitchPlease and Plug-Play-Present
  * **WARNING!!**: Password is stored and transmitted as unencrypted plain-text via TELNET
  * **This is intended as a *convenience* feature, NOT as a security mechanism!**
    * `switch set -u your_UserName -p y0urp@$$w0rd`
* Added Image Push upload fucntionallity to the web interface  * Custom background image can now be loaded from the web ui and the web client will properly convert the image to a compatible JPEG format prior to upload.
  * Eliminates the need for using the legacy "JAPBackgroundPatch.exe" program to patch a JPEG image into the firmware.
* Custom Image Push will be retained upon firmware update
* Added **Serial Command** Feature to Web UI (Under 'Endpoint Control')
  * Choice of Hex or ASCII formatted commands
  * Feedback printed in easy to track format
* Added helper `hurl` command to emulate curl for basic HTTP GET/POST requests

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][switchplease][B1.2.0] SG550X, SG500 and SG300 will now load correctly
* [function][plug-play-present][B1.2.0] SG550X, SG500 and SG300 will now load correctly
* [function][api][B1.2.1] `/command/serial/hex` was not working. This is resolved.
* [function][compatibility][B1.0.0] Updating to B1.2.2 and later will automatically clear previous 2G Mode / 3G Mode settings. Backwards compatibility with legacy 2G hardare is not supported in justOS BX.X.X
* [function][slideshow][B1.2.1] `slideshow.sh` functionality has been restored
* [cosmetic][webui][B1.0.0] Hide CEC Control on VGA Transmitter

### Known Issues

Key: [impact level][feature affected][discovered version] Description