# Just Add Power - Firmware Release Notes

## justOS version **B1.4.1**

### Release Date: 2019-12-02

### Special Notes

***IMPORTANT:***

* Once devices are updated to any version AFTER **justOS B1.3.0**, older versions of JADConfig [v3.6.2.0 and lower] will be *unable to detect the devices on the network*.
  * **JADConfig [v5.0.0 or later]** is required for future system updates or configuration changes

Download includes:

* `/` - Complete Firmware Images
  * Full update required for devices running **justOS B1.3.x** or earlier
* `/releasenotes`
  * Changes for all previous justOS version
  * `/api`
    * Notes for the latest URI endpoints in justOS B1.4.1
    * The justAPI is evoloutionary, meaning that old URIs are not removed or deprecated, and new URIs are added with updates. This ensures development efforts are not lost on earlier versions.

### Major Changes

* Added support for 3G Warp Engine Transceiver (737POE)
* Refactored Web UI
  * Updated with HTML5 semantic elements
  * Removed jQuery and converted to vanilla javascript for better portability and efficiency
  * Changes to UI/UX to provide a more consistent feel and flow
  * Video Wall Setup overhaul to be more interactive and intuitive
    * Support for decimal values in bezel-gap measurements
* Reduced overall number of hardware dependent firmware files
  1. 3G RX (new)
      * 3G+AVP RX
      * 3G+4+ RX
      * 3G RX
  2. 3G TX (new)
      * 3G TX
      * 3G+AVP TX
      * 3G+HIFI TX
      * 3G+4+ TX
      * 3G+WP2 TX
      * 3G+WP4 TX
  3. 3G+DSS TX (new)
  4. 3G WARP RX (new)
  5. 3G WARP TX (new)
  6. 2G/3G RX (new)
      * 2G/3G RX
      * 2G/3G+ RX
  7. 2G/3G TX (new)
      * 2G/3G TX
      * 2G/3G+ TX
      * 2G/3G+ VGA TX
      * 2G/3G+ TVI TX
      * 2G/3G+ SDI TX



### Minor Enhancements

* Improved filesystem read/write for many backend scripts
* Marginal improvement to response time for RESTful API calls
* REST API responses will no longer be fractured and will report correct HTTP 1.0 header
* Add startup reset of DSP for systems effected by electrical interference causing audio drops

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][video][A6.5.0-A6.5.5,B1.0.0-B1.3.0] BT.2020 Colorspace data now passes correctly from source to display
* [function][video][A6.5.0-A6.5.5,B1.0.0-B1.3.0] HLG metadata was introduced starting in 2019 as default on many DirecTV channels. This caused an issue where some displays would occasionally show a black screen or 'no signal' upon channel change or TV power-on. Implemented more aggressive pruning of HLG data for displays that do not report HDR support in their EDID.
* [function][audio][B1.0.0-B1.3.0] Startup default for 3G+AVP TX is to disable the Mic-In/Line-In. Previously these were enabled by default, which lead to static buildup in the DSP that would result in a total loss of audio until the unit was physically power-cycled.
* [function][shell][B1.0.0-B1.3.0] Backend scripts no longer rely on named pipe-files to gather system data. These were causing significant read/write conflicts during times of rapid inquiry which would lead to device lockup/reboot.
* [function][webui][B1.0.0-B1.3.0] Corrupt JSON data will no longer result in a broken web page (stuck on loading). Instead, if a malformed JSON response is received, the user will be redirected to the backup firmware update page for recovery.

### Known Issues

Key: [impact level][feature affected][discovered version] Description