# Just Add Power - Firmware Release Notes

## justOS version **B2.0.0**

### Release Date: 2020-01-03

### Compatibility

* B2.0.0 **WILL** work with all control system drivers previously developed to control a Just Add Power TX/RX using legacy API command syntax
* B2.0.0 is ***not*** compatible with B1.x.x
* B2.0.0 does ***not*** support backward compatibility with 2G devices

### Major Changes

* Fixes for malformed HDMI InfoFrames from DirecTV set-top-boxes
* Fixes for BT.2020 colorspace and HDR10 sources (AppleTV 4)
* Enhancements to IGMPv2 packet compliance for enterprise network switches
* Default IP Mode is DHCP, with a fallback to Auto-IP if a lease cannot be obtained at startup
* Overhauled Web UI

### Minor Enhancements

* Enhanced EDID support for BT.2020 colorspace and HDR

### New Features

* Independent Audio/Video source-to-display routing for Multicast Switching systems
* Full support for 3G Warp Engine Transmitter including
  * Web UI control of Rotation and Scaling
  * Web UI control of On Screen Menu
* Support for new 708POE Transmitter
  * Systems using a 708POE **must** update the firmware to B2.0.0 for all devices
  * 708POE is **not** backward compatible with 2G systems at this time
* Added new endpoint URIs to justAPI
  * POST /command/warp/rotate
  * POST /command/warp/scale
  * GET /details/warp/rotate
  * GET /details/warp/scale
  * GET, POST /settings/warp/rotate
  * GET, POST /settings/warp/scale

### Bug Fixes

Key: [impact level][feature affected][affected version] Description

* [accessiblity][webui][B1.0.0-B1.4.1] A failed firmware upload would cause the web interface to never load. This has been fixed and a redirect to a fallback update page.
