# Just Add Power - Firmware Release Notes

## justOS version **B2.0.3**

### Release Date: 2020-02-03

### Minor Enhancements

* Added UUID to devices for better standards compliance
* Added UUID to SRV record of _justos._tcp.local mDNS announcement
* Added new endpoint URIs to justAPI
  * `GET /details/device/uuid`
* Added step numbers to Video Wall setup interface for better UI/UX
* Improved speed of `osd -i` command on larger systems
* Added Multicast Channel Command to Network tab (when system is in Multicast Mode)
* `GET /settings/system/mode` will now report "vlan" as the default instead of false
* Added Bandwidth Throttling Options to Web UI under Transmitter Network Settings

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][update][A6.0.0-A6.4.12] 3G TX and 3G RX devices will no longer incorrectly fail an identity check [HW-1]
* [function][flux][B2.0.0] Flux Capacitor V2 commands no longer fail to resolve due to a lack of 'completeir' response (Control4)
* [function][webui][B2.0.2] Bezel Gaps now properly populate the video Wall Setup
* [function][webui][B2.0.2] Comms > Serial Settings > Mode, Flux V2 and Flux V1 were not applying correctly
* [function][webui][B2.0.0] Full Reset button will now correctly execute a full factory reset of the device
* [function][model][B2.0.2] Add startup delay to wait for SCU checks to complete (20 seconds of uptime)
* [function][cec][B2.0.0] CEC is once again enabled by default on Transmitters and Receivers
* [cosmetic][webui][B2.0.0] Portrait Video wall display image shows correct orientation on selection/identification page
* [cosmetic][webui][B2.0.0] Device Name and Device ID help details now accurately reflect proper usage
* [cosmetic][update][B2.0.0] After successful update, added a 25 second delay before refreshing to prevent stale justOS parameters

### Known Issues

Key: [impact level][feature affected][discovered version] Description
