# Just Add Power - Firmware Release Notes

## justOS version **B2.0.4**

### Release Date: 2020-02-12

### Minor Enhancements

* Updating firmware will retain previous ImagePush background upload (since B2.0.0)
* Added option to reset ImagePush to the factory default image (requires reboot)
* Added option in the WebUI to set the EDID to the default value for the given Transmitter model
* Allow ImagePull to output a black image when there is no signal present instead of the last frame received
* Added Download button to Image Push and Image Pull Details

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [critical][i2c][B2.0.0] Fixed a kernel level I2C buffer overrun consdition that could impact any subsystem relying on I2C communication (virtually everything)
* [function][hdcp][B2.0.0] Fixed an issue with HDCP negotiation causing valid displays to fail handshaking and show no image
* [function][edid][B2.0.0] Fixed errant native timing records in the built-in 1080p and 720p EDIDs
* [function][warp][B2.0.3] Fixed an issue with startup routine that loaded an invalid kernel object, causing video transmission to fail
* [function][imagepull][B2.0.0] ImagePull will no longer set a user defined value if it is undefined, but will use the factory setting instead
* [function][api][B2.0.0] `GET /details/video/tx` will now return the correct Transmitter in a VLAN switched system
* [function][api][B2.0.0] `GET /details/device/firmware/update/status` will no longer hang and provide an invalid response due to a pipefail
* [function][update][B2.0.0] Adjusted update scripts for POSIX compliance to allow updating directly from firmwares without a bash shell (A6.4.X and earlier)
* [cosmetic][api][B1.2.1] `GET /details/audio/hdmi/format` now returns LPCM or NLPCM without the hex defining value of the format
* [cosmetic][webui][B2.0.3] Multicast Channel Command no longer shows in Transmitter UI
* [cosmetic][webui][B2.0.0] Fixed EDID Settings not showing correct available audio formats on some TX models
* [cosmetic][webui][B2.0.0] Built-in EDID selection will now populate correctly when it has been set
* [cosmetic][webui][B2.0.3] ImagePull will now populate with factory default values when there is no user defined option
* [cosmetic][imagepop][B2.0.0] ImagePop will now correctly account for adjusted bounding box based on the debug startup resolution. Was defaulting to 480p instead of adjusting to UI default value (updated to 720p in B2.0.0)

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
* [function][dante][B2.0.3] Dante TX may have issues displaying video from some source devices
