# Just Add Power - Firmware Release Notes

## justOS version **B2.0.5**

### Release Date: 2020-04-27

### Minor Enhancements

* [EXPERIMENTAL] EZLogger script for remote diagnostic log collection and reduce the need for on-site debug log collection via RS232
  * Optional: Will not function unless manually activated by the installer
  * Requires route to internet
  * Requires token value assinged from tech support

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][tiler][B2.0.0] `_4in1_layout.sh 10` will now correctly recall the last custom defined layout
* [function][warp][B2.0.0] Press and hold of PF1 will now properly disable the TX video stream
* [function][imaepull][B2.0.4] ImagePull will no longer cause idle failures if the startup value is unset in memory
* [function][boot][B2.0.0] Fixed a startup race condition that would occasionally cause some devices to misidentify their model and not function properly
* [function][api][B2.0.0] Updated `POST /command/switch` to have better parsing of the JSON body (previously would get failures with valid data)
* [function][api][B2.0.0] `GET /details/device/firmware/update/status` would sometimes erroneously report `true`
* [function][dante][B2.0.3] Fixed and issue that was causing EDID corruption to the source resulting in unpredictable resolutions and audio formats. The HDMI Input will now correctly report the EDID to the source device.
* [function][webui][B2.0.0] Web interface failed to load if the firmware update status was erroneously reported as true on loading the page
* [function][webui][B2.0.0] After completing a firmware update, reload of the page could happen too soon and redirect to the fallback page (even tough the device just needed longer to finish booting)
* [function][webui][B2.0.4] Fixed callback race condition when loading web interface over slower network connection
* [function][webui][B2.0.0] Checkbox values that disable settings now work correctly. They were only enabling previously and would not disable (such as the Audio Stream)
* [cosmetic][webui][B2.0.4] Video Scaler Settings and Details now load correctly once data is returned from the API rather than requiring a manual refresh


### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
* [function][hdcp][B2.0.4] Some Sony TVs will not display a picture or will show "snow" due to an HDCP failure when turned on.
<!-- * [function][dante][B2.0.3] Dante TX may have issues displaying video from some source devices at certain resolutions -->
