# Just Add Power - Firmware Release Notes

## justOS version **B2.1.0**

### Release Date: 2020-11-23

### Firmware Compatibility Note

- B2.1.X may experience the same audio sync issues that were randomly present on B2.0.X if any devices are still running B2.0.X
- A full system update is recommended for optimal performance (but not neccessary in a pinch)

### Major Changes

- Add support for 2G-3G Audio Only Sound Transceiver
  - Operates in either Transmitter OR Receiver mode based on physical jumper positions
  - New justAPI URI `/details/device/mode` will report Transmitter or Receiver according to the live mode of operation

### Minor Enhancements

- Added option to ImagePush to ALL Receivers to webUI
- Added option for Auto Refresh to ImagePull in webUI
- Various Cosmetic webUI enhancements

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

- [function][audio][B2.0.0] Audio is no longer slow to sync after source switching (mainly affected 3G+DSS TX sources and Multicast Switching systems)
- [function][ppp][B2.0.0] Disconnecting the source from the host Transmitter once again switches Receivers back to their previous sources
- [function][ppp][B2.0.0] Video wall layouts are now correctly restored to their previous configurations
- [function][switchplease][B2.0.0] Saved SwitchPlease settings will now correctly persist through a reboot
- [function][api][B1.4.0] Fixed URI `/settings/audio/select` will now correctly set the startup input selection on a 3G+WP2 TX
- [function][webui][B2.0.6] Serial settings such as baudrate will not apply correctly through the web interface
- [cosmetic][video][B2.0.6] Receivers no longer experience overly choppy audio and video during boot phase

### Known Issues

Key: [impact level][feature affected][discovered version] Description

- [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
