# Just Add Power - Firmware Release Notes

## justOS version **B2.1.1**

### Release Date: 2021-08-26

### Firmware Compatibility Note

- B2.1.X may experience the same audio sync issues that were randomly present on B2.0.X if any devices are still running B2.0.X
- A full system update is recommended for optimal performance (but not neccessary in a pinch)

### Minor Enhancements

- Added option to enable/disable CEC to webUI
- Various Cosmetic webUI enhancements

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

- [function][api][B2.1.0] Sending `channel 0` and `POST /command/channel 0` will once again correctly select channel 0
- [compatibility][flux][B1.0.0] Updated TCP:4998 handler to return `ERR_001\r` for invalid GC/Pronto IR commands
- [function][api][B2.1.0] When network audio is disabled, the `/details/audio` json now populates with expected values rather than empty strings
- [function][api][B2.1.0] `/details/audio/stream/status` now handles missing audio state data rather than report a shell error
- [cosmetic][api][B2.0.0] `GET /details/audio/stream/channels` now accurately reports the number of audio channels when there is an encoded audio format
- [function][ppp][B2.1.0] Fix typo that prevented expanding ranges of devices for switching and power control
- [function][dante][B1.3.0] Selecting a 2CH LPCM EDID does NOT correctly limit the channel count to 2 and still allows for 8 channels
- [function][osd][B2.0.0] OSD text will now properly display multi-line messages
- [cosmetic][webui][B2.1.0] Omega TX should no longer have 4K EDID options listed
- [cosmetic][webui][B2.0.6] Close 'x' button on debug modal is now visible without hover / Modal now should closes upon clicking "Apply"

### Known Issues

Key: [impact level][feature affected][discovered version] Description

- [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
- [function][audio][B2.1.0] Source side HDMI changes from a resolution with audio to a different resolution without audio can cause a loss of Display side HDMI audio until the RX is rebooted (occurs when an AVR or matrix switch is used to feed a TX)
